Skip to main content
GET
Get blocks by version
Get the transactions in a block and the corresponding block information given a version in the block. This method will use 50 Compute Units.

Path Parameters

version
integer<uint64>
required

Ledger version to lookup block information for.

Query Parameters

with_transactions
boolean

If set to true, include all transactions in the block

If not provided, no transactions will be retrieved

Response

A Block with or without transactions

This contains the information about a transactions along with associated transactions if requested

block_height
string<uint64>
required

A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

Example:

"32425224034"

block_hash
string
required
block_timestamp
string<uint64>
required

A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

Example:

"32425224034"

first_version
string<uint64>
required

A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

Example:

"32425224034"

last_version
string<uint64>
required

A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

Example:

"32425224034"

transactions
object[]

The transactions in the block in sequential order

A transaction waiting in mempool